package comtestplug.popup.actions;

import java.util.Collection;

import org.eclipse.core.resources.IFile;
import org.eclipse.debug.ui.ILaunchShortcut;

// Tämä import toimii 3.3:ssa
import org.eclipse.jdt.junit.launcher.JUnitLaunchShortcut;

// Tämä import toimii 3.2:ssa, huomaa "varoitus"
// import org.eclipse.jdt.internal.junit.launcher.JUnitLaunchShortcut;

import org.eclipse.jface.viewers.StructuredSelection;
// import org.eclipse.ui.IObjectActionDelegate;

/**
 * Class for running ComTest
 * @author vesal
 *
 */
public class GenerateTestAndRunJUnit extends GenerateTest{ // implements IObjectActionDelegate{
   
    /**
     * Eclipse version that plugin works
     */
    public static final String ECVERSION = " for Eclipse 3.4+";
    
  /**
   * Initializer for run
   *
   */  
  public GenerateTestAndRunJUnit() {
     super();
     setActionDefinitionId("comtestplug.generateAndRun.run"); 
  }
    
    
  /**
   * Runs JUnit test if only one file was generated.
   * 
   */
  @Override
  protected void buildDone(Collection<IFile> testFiles) {
    if (testFiles.size() > 0){
      // JUnit can (Currently) be run only for one file at the same time.
      
      // Run JUnit just the first file
      IFile[] outFileArray = new IFile[1];
      for ( IFile f : testFiles) {
        outFileArray[0] = f;
        break;
      }  
      ILaunchShortcut sk = new JUnitLaunchShortcut();
      //sk.launch(new StructuredSelection(outFileArray), "run");     
      sk.launch(new StructuredSelection(outFileArray), "debug");     
    }
  }

}
